Bug 241095 - Review Request: perl-IO-LockedFile - Flock based locking, extendable to other mechanisms
Review Request: perl-IO-LockedFile - Flock based locking, extendable to other...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks: 496890
  Show dependency treegraph
 
Reported: 2007-05-24 00:07 EDT by Paul Wouters
Modified: 2014-07-28 15:14 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-24 19:18:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rc040203: fedora‑review-
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2007-05-24 00:07:51 EDT
Spec URL: ftp://ftp.xelerance.com/perl-IO-LockedFile/perl-IO-LockedFile.spec
SRPM URL: ftp://ftp.xelerance.com/perl-IO-LockedFile/perl-IO-LockedFile-0.23-1.src.rpm
Description: In its simplistic use, the IO::LockedFile class gives us the same 
interface of the IO::File class to files with the unique difference
that those files are locked using the flock mechanism. Yet, the
class provides us with the ability to use other schemes then flock.
Comment 1 Ralf Corsepius 2007-05-24 04:33:19 EDT
Please add
BuildRequires: perl(ExtUtils::MakeMaker)

Without it, this package doesn't build without it once the perl-split is
introduced back.

APPROVED, provided you apply the change above.
Comment 2 Paul Wouters 2007-05-24 16:43:12 EDT
New Package CVS Request
=======================
Package Name: perl-IO-LockedFile
Short Description: Flock based locking, extendable to other mechanisms
Owners: paul@xelerance.com
Branches: FC-6 F-7
InitialCC: paul@xelerance.com
Comment 3 Paul Wouters 2007-05-24 16:46:01 EDT
Just to clarify, the changes are made in:
Spec URL: ftp://ftp.xelerance.com/perl-IO-LockedFile/perl-IO-LockedFile.spec
SRPM URL:
ftp://ftp.xelerance.com/perl-IO-LockedFile/perl-IO-LockedFile-0.23-2.src.rpm

Thanks Ralf!
Comment 4 Tom "spot" Callaway 2007-05-24 17:16:44 EDT
cvs done.
Comment 5 Paul Wouters 2007-05-24 19:19:31 EDT
built in devel
Comment 6 Ralf Corsepius 2007-05-30 03:16:28 EDT
Fix the license and the summary

Revoking APPROVAL
Comment 7 Michael Schwendt 2007-05-30 04:43:33 EDT
and also the %description ;)
Comment 8 Dennis Gilmore 2007-05-30 08:39:48 EDT
Ralf did you really review this?  the summary and description are not at all 
correct.
Comment 9 Ralf Corsepius 2007-05-30 10:05:03 EDT
(In reply to comment #8)
> Ralf did you really review this?
Yes, but ...

>  the summary and description are not at all 
> correct.
... apparently I missed to look carefully enough into the descriptive stuff.

... in former times, somebody could have already fixed this
... now, thanks to the RH take over of Extras it's impossible ...

In future, I'll be more carefully about which packages to review.
Comment 10 Paul Wouters 2009-04-21 11:39:26 EDT
Package Change Request
======================
Package Name: perl-IO-LockedFile
New Branches: EL-5
Comment 11 Kevin Fenzi 2009-04-21 15:40:19 EDT
cvs done.
Comment 12 Paul Wouters 2014-07-28 15:03:47 EDT
Package Change Request
======================
Package Name: perl-IO-LockedFile
New Branches: epel7
Owners: pwouters
Comment 13 Jon Ciesla 2014-07-28 15:14:45 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.